summaryrefslogtreecommitdiff
path: root/dev-python/cli_helpers
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/cli_helpers
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/cli_helpers')
-rw-r--r--dev-python/cli_helpers/Manifest3
-rw-r--r--dev-python/cli_helpers/cli_helpers-1.2.1.ebuild35
-rw-r--r--dev-python/cli_helpers/cli_helpers-2.0.0.ebuild35
-rw-r--r--dev-python/cli_helpers/cli_helpers-2.0.1.ebuild25
-rw-r--r--dev-python/cli_helpers/cli_helpers-9999.ebuild26
-rw-r--r--dev-python/cli_helpers/metadata.xml15
6 files changed, 139 insertions, 0 deletions
diff --git a/dev-python/cli_helpers/Manifest b/dev-python/cli_helpers/Manifest
new file mode 100644
index 000000000000..a1bbe298380f
--- /dev/null
+++ b/dev-python/cli_helpers/Manifest
@@ -0,0 +1,3 @@
+DIST cli_helpers-1.2.1.tar.gz 31104 BLAKE2B ded2b9b7825ddaeb33acf64b65362251f773a4a0a74aec1c79bdd8ef77f8f6953dd8761fd926f7a2b210c69534bee220f88e816dd63277b27db15b400510c9f3 SHA512 299fa4984b7c76e6be0527f040582242a746938f8725b6193895f9bbb835c82078658bbb8d1ea0000c26f3c8d2dad93139fd600e7c8d7c2d89777de27a5b26cf
+DIST cli_helpers-2.0.0.tar.gz 31320 BLAKE2B dbda2c7128ac7a5f21ce9f12f866cffde1be9a4bb422c1233b32d9f346c54a73df5e5ea7734cb64ca13f3aeec7c11678c8090499cb5aa4b6d385c4fbc394f8e9 SHA512 fadee3d356d5a687d2f618801f31d0cd4b6c9a4ea1fad4d5fed087a95c3343ab90622e6c246d9a3bd878bc8324d3e9b3626ed3f1436c5d68698562ff6abec3a5
+DIST cli_helpers-2.0.1.tar.gz 32633 BLAKE2B 4bb66cd86871b18f52c737a06968a56098151273ab0a87386db62543961f3a699f37018f9e722a55635dca3136253c59a50d3ec7cb6ebb68d833abe2a320526c SHA512 e470eff51760c5e80d01a318eeb3d91510bd34ed7c094c4196342a74306ec0fe0751514d2ef2a5f77570d8434d417557cc83a8c34d0febdbc7c2cce7b1faf8a6
diff --git a/dev-python/cli_helpers/cli_helpers-1.2.1.ebuild b/dev-python/cli_helpers/cli_helpers-1.2.1.ebuild
new file mode 100644
index 000000000000..0de3c188e8b8
--- /dev/null
+++ b/dev-python/cli_helpers/cli_helpers-1.2.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="https://cli-helpers.rtfd.io/"
+SRC_URI="https://github.com/dbcli/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/terminaltables-3.0.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/mock-2[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cli_helpers/cli_helpers-2.0.0.ebuild b/dev-python/cli_helpers/cli_helpers-2.0.0.ebuild
new file mode 100644
index 000000000000..0de3c188e8b8
--- /dev/null
+++ b/dev-python/cli_helpers/cli_helpers-2.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="https://cli-helpers.rtfd.io/"
+SRC_URI="https://github.com/dbcli/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/terminaltables-3.0.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/mock-2[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/cli_helpers/cli_helpers-2.0.1.ebuild b/dev-python/cli_helpers/cli_helpers-2.0.1.ebuild
new file mode 100644
index 000000000000..b4159629ae3a
--- /dev/null
+++ b/dev-python/cli_helpers/cli_helpers-2.0.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="https://cli-helpers.rtfd.io/"
+SRC_URI="https://github.com/dbcli/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/terminaltables-3.0.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cli_helpers/cli_helpers-9999.ebuild b/dev-python/cli_helpers/cli_helpers-9999.ebuild
new file mode 100644
index 000000000000..67e147c62850
--- /dev/null
+++ b/dev-python/cli_helpers/cli_helpers-9999.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+EGIT_REPO_URI="https://github.com/dbcli/${PN}.git"
+inherit distutils-r1 git-r3
+
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="https://cli-helpers.rtfd.io/"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+
+RDEPEND="
+ >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/terminaltables-3.0.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cli_helpers/metadata.xml b/dev-python/cli_helpers/metadata.xml
new file mode 100644
index 000000000000..cefd0463c25f
--- /dev/null
+++ b/dev-python/cli_helpers/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>grknight@gentoo.org</email>
+ <name>Brian Evans</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">dbcli/cli_helpers</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>